> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trading-beta/create-a-quote",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create a quote

> Generate a time-limited quote for asset conversion, providing exchange rate and amount calculations.

Note: These endpoints are currently in beta and might be subject to changes.

If you want to participate and learn more about the Fireblocks Trading, please contact your Fireblocks Customer Success Manager or send an email to CSM@fireblocks.com.

Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Editor.

For detailed information about error codes and troubleshooting, please refer to our [API Error Codes documentation](https://developers.fireblocks.com/reference/api-error-codes).



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /trading/quotes
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /trading/quotes:
    post:
      tags:
        - Trading (Beta)
      summary: Create a quote
      description: >-
        Generate a time-limited quote for asset conversion, providing exchange
        rate and amount calculations.


        Note: These endpoints are currently in beta and might be subject to
        changes.


        If you want to participate and learn more about the Fireblocks Trading,
        please contact your Fireblocks Customer Success Manager or send an email
        to CSM@fireblocks.com.


        Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Editor.


        For detailed information about error codes and troubleshooting, please
        refer to our [API Error Codes
        documentation](https://developers.fireblocks.com/reference/api-error-codes).
      operationId: createQuote
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQuote'
      responses:
        '201':
          description: Quote created
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuotesResponse'
        '400':
          description: >-
            Bad request: invalid input parameters, malformed request body, or
            validation failure.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        '401':
          description: Unauthorized. Missing / invalid JWT token in Authorization header.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        '403':
          description: >-
            Forbidden: insufficient permissions, disabled feature, or restricted
            access.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        '429':
          description: 'Rate limit exceeded: slow down and retry later.'
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        5XX:
          description: Internal error while processing the request.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<QuotesResponse>> =
            fireblocks.tradingBeta.createQuote(tradingBetaApiCreateQuoteRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<QuotesResponse>> response =
            fireblocks.tradingBeta().createQuote(createQuote, idempotencyKey);
        - lang: Python
          source: >-
            response = fireblocks.trading_beta.create_quote(create_quote,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CreateQuote:
      type: object
      properties:
        scope:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ScopeItem'
        baseAssetId:
          type: string
          description: The asset you receive on BUY / give on SELL.
        baseAssetRail:
          $ref: '#/components/schemas/TransferRail'
        quoteAssetId:
          type: string
          description: The counter asset used to pay/receive.
        quoteAssetRail:
          $ref: '#/components/schemas/TransferRail'
        baseAmount:
          type: string
          pattern: ^\d+(\.\d+)?$
          description: >-
            Amount in baseAssetId. BUY = base amount to receive; SELL = base
            amount to sell.
          example: '100.00'
        slippageBps:
          type: number
          description: >-
            Slippage tolerance in basis points (bps) for defi quotes - 1 is
            0.01% and 10000 is 100%
          default: 50
          minimum: 1
          maximum: 10000
        settlement:
          $ref: '#/components/schemas/DVPSettlement'
        side:
          $ref: '#/components/schemas/Side'
        participantsIdentification:
          $ref: '#/components/schemas/ParticipantsIdentification'
      required:
        - quoteAssetId
        - baseAssetId
        - baseAmount
        - side
        - scope
      example:
        scope:
          - providerId: prov_8c3f1a4b2d6e9f7c
            accountId: acc_5e9a2d1c4b7f3e8a
        baseAssetId: USD
        baseAssetRail: FIAT_RAILS
        quoteAssetId: BTC
        quoteAssetRail: BLOCKCHAIN_RAILS
        baseAmount: '1000.00'
        side: BUY
        slippageBps: 100
        settlement:
          type: DVP
          sourceAccount:
            type: VAULT_ACCOUNT
            id: vault_acc_3f7e1d9b2c5a8e4f
          destinationAccount:
            type: VAULT_ACCOUNT
            id: vault_acc_7b2e5d8f1c4a9e3b
    QuotesResponse:
      type: object
      properties:
        quotes:
          type: array
          items:
            $ref: '#/components/schemas/Quote'
        quoteFailures:
          type: array
          description: >-
            List of partial failures encountered while requesting quotes. Empty
            when all quote attempts succeed.
          items:
            $ref: '#/components/schemas/QuoteFailure'
      required:
        - quotes
        - quoteFailures
      example:
        quotes:
          - via:
              type: PROVIDER_ACCOUNT
              providerId: bridge-provider-001
              accountId: acc_9f4e2d8b1c6a5e73
            id: quote_8f2e4d1a9c5b7e3f
            type: COMMITTED
            baseAssetId: USDC
            quoteAssetId: BTC
            baseAmount: '1000.00'
            quoteAmount: '0.02458'
            priceImpact: 0.005
            quoteMinAmount: '0.02450'
            expiresAt: '2024-01-15T10:35:00.000Z'
            executionSteps:
              - type: EXECUTE
                fee:
                  feeType: ORDER
                  assetId: USDC
                  amountType: FIXED
                  amount: '2.50'
            generalFees:
              - feeType: ORDER
                assetId: USDC
                amountType: FIXED
                amount: '2.50'
        quoteFailures:
          - providerId: BRIDGE
            accountId: acc_9f4e2d8b1c6a5e73
            error:
              code: 3107
              message: This trading pair is not supported by the provider.
          - providerId: UNISWAP
            error:
              code: 3101
              message: Provider not found.
              descriptor:
                providerId: UNISWAP
    TradingErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
        descriptor:
          type: string
      required:
        - code
        - message
      example:
        code: 900
        message: 'Invalid base amount: must be greater than 0'
    ScopeItem:
      type: object
      additionalProperties: false
      properties:
        providerId:
          type: string
          description: The ID of the provider associated with the account.
        accountId:
          type: string
          description: The ID of the account associated with the provider.
      required:
        - providerId
      example:
        providerId: prov_8c3f1a4b2d6e9f7c
        accountId: acc_5e9a2d1c4b7f3e8a
    TransferRail:
      type: string
      description: >
        Transfer rail: 

        * **BLOCKCHAIN** - Transfer over the public blockchain

        * **INTERNAL** - Internal transfer within the same account (e.g.
        sub-accounts or same api key)

        * **SWIFT** - International wire transfer

        * **IBAN** - International Bank Account Number transfer

        * **US_WIRE** - Domestic wire transfer within the United States (e.g.
        FedWire)

        * **ACH** - Automated Clearing House transfer, typically takes longer
        but not as expensive as wire transfers

        * **SEPA** - Euro transfers within the SEPA zone

        * **SPEI** - Mexican interbank electronic payment system

        * **PIX** - Brazilian instant payment system

        * **LBT** - Local bank transfers within Africa

        * **MOMO** - Mobile money transfers (e.g. M-Pesa)

        * **CHAPS** - The Clearing House Automated Payment System (CHAPS) is a
        real-time gross settlement payment system used for transactions in the
        United Kingdom

        * **PAYID** - PayID payment identifier system (Australia)

        * **INTERAC** - Interac electronic funds transfer (Canada)

        * **INTERNAL_TRANSFER** - Internal transfer between accounts
      enum:
        - BLOCKCHAIN
        - INTERNAL
        - SWIFT
        - IBAN
        - US_WIRE
        - ACH
        - SEPA
        - SPEI
        - PIX
        - LBT
        - MOMO
        - CHAPS
        - PAYID
        - INTERAC
        - INTERNAL_TRANSFER
      example: BLOCKCHAIN
    DVPSettlement:
      type: object
      description: Source/Destination accounts for the quote (must have for defi quotes)
      properties:
        type:
          $ref: '#/components/schemas/DVPSettlementType'
        sourceAccount:
          $ref: '#/components/schemas/SettlementSourceAccount'
        destinationAccount:
          $ref: '#/components/schemas/AccountReference'
      required:
        - type
        - sourceAccount
        - destinationAccount
      example:
        type: DVP
        sourceAccount:
          type: VAULT_ACCOUNT
          id: vault_acc_3f7e1d9b2c5a8e4f
        destinationAccount:
          type: VAULT_ACCOUNT
          id: vault_acc_7b2e5d8f1c4a9e3b
    Side:
      type: string
      enum:
        - BUY
        - SELL
      description: 'BUY: receive base / pay quote; SELL: give base / receive quote.'
    ParticipantsIdentification:
      description: KYC/AML participant identification
      type: object
      properties:
        originator:
          $ref: '#/components/schemas/Identification'
        beneficiary:
          $ref: '#/components/schemas/Identification'
      example:
        originator:
          externalReferenceId: user_123456
          entityType: INDIVIDUAL
          participantRelationshipType: FirstParty
          fullName:
            firstName: John
            lastName: Smith
          dateOfBirth: '1985-03-15'
          email: john.smith@example.com
          phone: '+14155551234'
          postalAddress:
            streetName: Main Street
            buildingNumber: '123'
            postalCode: '10001'
            city: New York
            subdivision: NY
            district: Manhattan
            country: US
        beneficiary:
          externalReferenceId: user_789012
          entityType: INDIVIDUAL
          participantRelationshipType: ThirdParty
          fullName:
            firstName: Alice
            lastName: Johnson
          dateOfBirth: '1990-07-22'
          email: alice.johnson@example.com
          phone: '+14155551234'
          postalAddress:
            streetName: Broadway
            buildingNumber: '456'
            postalCode: '10002'
            city: New York
            subdivision: NY
            district: Manhattan
            country: US
    Quote:
      allOf:
        - $ref: '#/components/schemas/QuotePropertiesDetails'
        - discriminator:
            propertyName: type
            mapping:
              COMMITTED:
                $ref: '#/components/schemas/CommittedQuoteType'
              INDICATIVE:
                $ref: '#/components/schemas/IndicativeQuoteType'
          oneOf:
            - $ref: '#/components/schemas/CommittedQuoteType'
            - $ref: '#/components/schemas/IndicativeQuoteType'
    QuoteFailure:
      type: object
      properties:
        providerId:
          type: string
          description: Identifier of the provider for which the quote request failed.
          example: BRIDGE
        accountId:
          type: string
          description: >-
            Identifier of the account for which the quote request failed
            (optional).
          example: acc_9f4e2d8b1c6a5e73
        error:
          $ref: '#/components/schemas/TradingErrorSchema'
      required:
        - providerId
        - error
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    DVPSettlementType:
      type: string
      enum:
        - DVP
    SettlementSourceAccount:
      discriminator:
        propertyName: type
        mapping:
          VAULT_ACCOUNT:
            $ref: '#/components/schemas/PlatformAccount'
          CONNECTED_ACCOUNT:
            $ref: '#/components/schemas/PlatformAccount'
          FIAT_ACCOUNT:
            $ref: '#/components/schemas/PlatformAccount'
          EXTERNAL:
            $ref: '#/components/schemas/ExternalAccount'
      oneOf:
        - $ref: '#/components/schemas/PlatformAccount'
        - $ref: '#/components/schemas/ExternalAccount'
    AccountReference:
      discriminator:
        propertyName: type
        mapping:
          VAULT_ACCOUNT:
            $ref: '#/components/schemas/InternalReference'
          EXCHANGE_ACCOUNT:
            $ref: '#/components/schemas/InternalReference'
          UNMANAGED_WALLET:
            $ref: '#/components/schemas/InternalReference'
          FIAT_ACCOUNT:
            $ref: '#/components/schemas/InternalReference'
          ONE_TIME_ADDRESS:
            $ref: '#/components/schemas/OneTimeAddressReference'
      oneOf:
        - $ref: '#/components/schemas/InternalReference'
        - $ref: '#/components/schemas/OneTimeAddressReference'
    Identification:
      discriminator:
        propertyName: entityType
        mapping:
          INDIVIDUAL:
            $ref: '#/components/schemas/PersonalIdentification'
          BUSINESS:
            $ref: '#/components/schemas/BusinessIdentification'
      oneOf:
        - $ref: '#/components/schemas/PersonalIdentification'
        - $ref: '#/components/schemas/BusinessIdentification'
    QuotePropertiesDetails:
      type: object
      properties:
        via:
          $ref: '#/components/schemas/AccessType'
        id:
          type: string
        quoteAssetId:
          type: string
        baseAssetId:
          type: string
        baseAmount:
          type: string
        quoteAmount:
          type: string
        priceImpact:
          type: number
        quoteMinAmount:
          type: string
        executionSteps:
          type: array
          items:
            $ref: '#/components/schemas/QuoteExecutionStep'
        generalFees:
          type: array
          items:
            $ref: '#/components/schemas/Fee'
        side:
          $ref: '#/components/schemas/Side'
        expiresAt:
          type: string
          description: The expiration time of the quote in ISO format.
        orderCreationRequirements:
          type: string
          description: >
            A JSON Schema Draft-7 document in string format describing the
            fields required when creating an order for this quote. The schema
            mirrors the structure of
            CreateOrderRequest.participantsIdentification json schema, so
            clients can validate their order payload before sending.
      required:
        - via
        - id
        - baseAssetId
        - quoteAssetId
        - baseAmount
        - quoteAmount
        - side
        - expiresAt
    CommittedQuoteType:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommittedQuoteEnum'
      required:
        - type
      example:
        type: COMMITTED
    IndicativeQuoteType:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/IndicativeQuoteEnum'
      required:
        - type
      example:
        type: INDICATIVE
    PlatformAccount:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PlatformPeerType'
        accountId:
          type: string
      required:
        - type
        - accountId
      example:
        type: VAULT_ACCOUNT
        accountId: vault_acc_5e9a2d1c4b7f3e8a
    ExternalAccount:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExternalAccountType'
        senderInformation:
          $ref: '#/components/schemas/ExternalAccountSenderInformation'
      required:
        - type
      example:
        type: EXTERNAL
        senderInformation:
          type: MOBILE_MONEY
          mobilePhoneNumber: '+1234567890'
          provider: MPESA
          email: test@example.com
    InternalReference:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PeerType'
        accountId:
          type: string
      required:
        - accountId
        - type
      example:
        type: VAULT_ACCOUNT
        accountId: vault_acc_9f3e2d1c4b8a7e5f
    OneTimeAddressReference:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/OneTimeAddressPeerType'
        address:
          type: string
        tag:
          type: string
      required:
        - type
        - address
      example:
        type: ONE_TIME_ADDRESS
        address: 1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa
        tag: destination-memo-123
    PersonalIdentification:
      type: object
      properties:
        externalReferenceId:
          type: string
        entityType:
          $ref: '#/components/schemas/PersonalEntityTypeEnum'
        participantRelationshipType:
          $ref: '#/components/schemas/ParticipantRelationshipType'
        fullName:
          type: object
          properties:
            firstName:
              type: string
            lastName:
              type: string
          required:
            - firstName
            - lastName
        dateOfBirth:
          type: string
          format: date
        postalAddress:
          $ref: '#/components/schemas/PostalAddress'
        email:
          type: string
          format: email
        phone:
          $ref: '#/components/schemas/MobilePhoneNumber'
        idNumber:
          type: string
          description: >-
            The identification number corresponding to the primary
            identification document type specified in idType
        idType:
          $ref: '#/components/schemas/PersonalIdentificationType'
        additionalIdNumber:
          type: string
          description: >-
            The identification number corresponding to the additional
            identification document type specified in additionalIdType
        additionalIdType:
          $ref: '#/components/schemas/PersonalIdentificationType'
      required:
        - externalReferenceId
        - entityType
        - participantRelationshipType
        - fullName
        - dateOfBirth
        - postalAddress
      example:
        externalReferenceId: person_ref_7f3e2d1c4b8a5e9f
        entityType: INDIVIDUAL
        participantRelationshipType: FirstParty
        fullName:
          firstName: Alexander
          lastName: Johnson
        dateOfBirth: '1985-03-15'
        postalAddress:
          streetName: Oak Street
          buildingNumber: '742'
          postalCode: '90210'
          city: Beverly Hills
          subdivision: CA
          district: Los Angeles County
          country: US
        email: alexander.johnson@example.com
        phone: '+14155551234'
        idNumber: '12345678901'
        idType: PASSPORT
        additionalIdNumber: BVN987654321
        additionalIdType: BVN
    BusinessIdentification:
      type: object
      properties:
        externalReferenceId:
          type: string
        entityType:
          $ref: '#/components/schemas/BusinessEntityTypeEnum'
        participantRelationshipType:
          $ref: '#/components/schemas/ParticipantRelationshipType'
        businessName:
          type: string
        registrationNumber:
          type: string
        postalAddress:
          $ref: '#/components/schemas/PostalAddress'
        email:
          type: string
          format: email
        phone:
          $ref: '#/components/schemas/MobilePhoneNumber'
      required:
        - externalReferenceId
        - entityType
        - participantRelationshipType
        - businessName
        - registrationNumber
        - postalAddress
      example:
        externalReferenceId: bus_ref_9f3e2d1c4b8a7e5f
        entityType: BUSINESS
        participantRelationshipType: COUNTERPARTY
        businessName: TechCorp Solutions LLC
        registrationNumber: TC-2023-001547
        email: techcorp@example.com
        phone: '+14155551234'
        postalAddress:
          streetAddress: 789 Innovation Drive
          city: San Francisco
          state: CA
          postalCode: '94105'
          country: US
    AccessType:
      discriminator:
        propertyName: type
        mapping:
          PROVIDER_ACCOUNT:
            $ref: '#/components/schemas/AccountAccess'
          PROVIDER:
            $ref: '#/components/schemas/DirectAccess'
      oneOf:
        - $ref: '#/components/schemas/AccountAccess'
        - $ref: '#/components/schemas/DirectAccess'
    QuoteExecutionStep:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExecutionStepType'
        fee:
          $ref: '#/components/schemas/Fee'
      required:
        - type
      example:
        type: MARKET_EXECUTION
        fee:
          feeType: ORDER
          assetId: USD
          amountType: FIXED
          amount: '2.50'
    Fee:
      allOf:
        - $ref: '#/components/schemas/FeePropertiesDetails'
        - discriminator:
            propertyName: amountType
            mapping:
              FIXED:
                $ref: '#/components/schemas/FixedFee'
              BPS:
                $ref: '#/components/schemas/BpsFee'
          oneOf:
            - $ref: '#/components/schemas/FixedFee'
            - $ref: '#/components/schemas/BpsFee'
    CommittedQuoteEnum:
      type: string
      enum:
        - COMMITTED
      description: Indicates this is a committed quote
    IndicativeQuoteEnum:
      type: string
      enum:
        - INDICATIVE
      description: Indicates this is an indicative quote
    PlatformPeerType:
      type: string
      enum:
        - VAULT_ACCOUNT
        - CONNECTED_ACCOUNT
        - FIAT_ACCOUNT
    ExternalAccountType:
      type: string
      enum:
        - EXTERNAL
    ExternalAccountSenderInformation:
      oneOf:
        - $ref: '#/components/schemas/ExternalAccountMobileMoney'
        - $ref: '#/components/schemas/ExternalAccountLocalBankAfrica'
      description: Additional data for the external account, depending on the type used.
    PeerType:
      type: string
      enum:
        - VAULT_ACCOUNT
        - EXCHANGE_ACCOUNT
        - UNMANAGED_WALLET
        - FIAT_ACCOUNT
        - CONNECTED_ACCOUNT
      example: VAULT_ACCOUNT
    OneTimeAddressPeerType:
      type: string
      enum:
        - ONE_TIME_ADDRESS
    PersonalEntityTypeEnum:
      type: string
      enum:
        - INDIVIDUAL
    ParticipantRelationshipType:
      type: string
      enum:
        - FirstParty
        - SecondParty
        - ThirdParty
      example: FirstParty
    PostalAddress:
      type: object
      properties:
        streetName:
          type: string
        buildingNumber:
          type: string
        postalCode:
          type: string
        city:
          type: string
        subdivision:
          type: string
        district:
          type: string
        country:
          type: string
      required:
        - streetName
        - buildingNumber
        - postalCode
        - city
        - subdivision
        - district
        - country
      example:
        streetName: Fifth Avenue
        buildingNumber: '350'
        postalCode: '10118'
        city: New York
        subdivision: NY
        district: Manhattan
        country: US
    MobilePhoneNumber:
      type: string
      pattern: ^\+[1-9]\d{1,14}$
      description: Mobile phone number in E.164 format
      example: '+14155551234'
    PersonalIdentificationType:
      type: string
      description: >-
        Type of identification document. Acceptable values are: -
        'NIN_SLIP_CARD': National Identification Number (NIN) Slip Card -
        temporary identification card issued in Nigeria - 'BVN': Bank
        Verification Number - unique identity number for bank account holders in
        Nigeria - 'ID_CARD': General national identity card - 'ID_BOOK':
        Identity book or booklet format identification document - 'NATIONAL_ID':
        National identity document issued by government authorities -
        'ALIEN_CARD': Alien registration card for foreign nationals -
        'PASSPORT': International travel document and proof of identity -
        'ECOWAS_CARD': Economic Community of West African States identification
        card - 'RWANDA_CARD': Rwandan national identification card -
        'DRIVERS_LICENSE': Driver's license or driving permit - 'RESIDENT_CARD':
        Resident permit or permanent resident card - 'VOTER_ID': Voter
        identification card used for electoral registration -
        'HEALTH_INSURANCE_ID': Health insurance identification card -
        'GHANA_CARD': Ghana Card - national identification card issued in Ghana
        - 'REFUGEE_ID': Refugee identification document - 'SSNIT': Social
        Security and National Insurance Trust ID - social security number in
        Ghana - 'NON_CITIZEN_ID': Identification document for non-citizens or
        foreign residents - 'NATIONAL_REGISTRATION_CARD': National registration
        card issued by national registration authority
      enum:
        - NIN_SLIP_CARD
        - BVN
        - ID_CARD
        - ID_BOOK
        - NATIONAL_ID
        - ALIEN_CARD
        - PASSPORT
        - ECOWAS_CARD
        - RWANDA_CARD
        - DRIVERS_LICENSE
        - RESIDENT_CARD
        - VOTER_ID
        - HEALTH_INSURANCE_ID
        - GHANA_CARD
        - REFUGEE_ID
        - SSNIT
        - NON_CITIZEN_ID
        - NATIONAL_REGISTRATION_CARD
    BusinessEntityTypeEnum:
      type: string
      enum:
        - BUSINESS
    AccountAccess:
      type: object
      properties:
        type:
          type: string
          enum:
            - PROVIDER_ACCOUNT
          description: Indicates this uses account-based access
        providerId:
          type: string
          description: The ID of the provider
        accountId:
          type: string
          description: The ID of the account
      required:
        - type
        - accountId
      example:
        type: PROVIDER_ACCOUNT
        providerId: bridge-provider-001
        accountId: acc_9f4e2d8b1c6a5e73
    DirectAccess:
      type: object
      properties:
        type:
          type: string
          enum:
            - PROVIDER
          description: Indicates this uses direct provider access
        providerId:
          type: string
          description: The ID of the provider
      required:
        - type
        - providerId
      example:
        type: PROVIDER
        providerId: uniswap-v3-provider
    ExecutionStepType:
      type: string
      enum:
        - APPROVE
        - PERMIT
        - CONTRACT_CALL
        - EXECUTE
        - SETTLEMENT
        - DELIVERY
      example: EXECUTE
    FeePropertiesDetails:
      type: object
      properties:
        feeType:
          $ref: '#/components/schemas/FeeTypeEnum'
        assetId:
          type: string
          description: The asset identifier for the fee.
      required:
        - feeType
        - assetId
    FixedFee:
      type: object
      properties:
        amountType:
          $ref: '#/components/schemas/FixedAmountTypeEnum'
        amount:
          type: string
          pattern: ^\d+(\.\d+)?$
          description: The fixed amount of the fee
          example: '0.01'
      required:
        - amountType
        - amount
      example:
        amountType: FIXED
        amount: '0.01'
    BpsFee:
      type: object
      properties:
        amountType:
          type: string
          enum:
            - BPS
        amount:
          type: number
          minimum: 0
          maximum: 10000
          description: Fee in basis points (1 = 0.01%, 10000 = 100%)
          example: 50
      required:
        - amountType
        - amount
      example:
        amountType: BPS
        amount: 50
    ExternalAccountMobileMoney:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExternalAccountMobileMoneyType'
        mobilePhoneNumber:
          $ref: '#/components/schemas/MobilePhoneNumber'
        provider:
          $ref: '#/components/schemas/ExternalAccountMobileMoneyProvider'
        email:
          type: string
          format: email
        successRedirectUrl:
          type: string
          description: >-
            URL to redirect the end user back to after they complete the payment
            on the bank/mobile provider page (e.g., the merchant checkout page)
      required:
        - type
        - mobilePhoneNumber
        - provider
        - email
    ExternalAccountLocalBankAfrica:
      type: object
      properties:
        successRedirectUrl:
          type: string
          description: >-
            URL to redirect the end user back to after they complete the payment
            on the bank/mobile provider page (e.g., the merchant checkout page)
    FeeTypeEnum:
      type: string
      enum:
        - ORDER
        - NETWORK
        - SPREAD
        - REBATE
      description: >
        The type of fee, such as ORDER, NETWORK, or SPREAD. ORDER - Fee for
        executing the order. NETWORK - Fee for network transactions. SPREAD -
        Fee for the difference between buy and sell prices. REBATE - Negative
        fee returned to the user as a reward or incentive.
    FixedAmountTypeEnum:
      type: string
      enum:
        - FIXED
      description: The type of amount for the fee, indicating a fixed amount.
    ExternalAccountMobileMoneyType:
      type: string
      enum:
        - MOBILE_MONEY_RAIL
    ExternalAccountMobileMoneyProvider:
      type: string
      enum:
        - M_PESA
        - AIRTEL
        - MTN
        - TIGO
        - ORANGE
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````